Modify an existing endpoint configuration.
Parámetros de path
-
An Atlas Project/Group ID.
-
El ObjectID de tu aplicación. La sección de ID de Proyecto y ID de la aplicación de App Services API muestra cómo encontrar este valor.
-
The unique
_idvalue of an endpoint
Cuerpo
Requerido
Un objeto de configuración válido y actualizado para el endpoint.
-
Los valores son
GET,POST,PUT,PATCH,DELETEo*. -
El ID único de la función endpoint.
-
Los valores son
NO_VALIDATION,SECRET_AS_QUERY_PARAMoVERIFY_PAYLOAD. -
Si
validation_methodestá establecido en"SECRET_AS_QUERY_PARAM"o"VERIFY_PAYLOAD", este es el_iddel Secreto que autoriza las solicitudes. -
A data format supported by the Data API & custom endpoints.
Los valores son
JSONoEJSON. -
The endpoint's unique ID.
PUT /groups/{groupId}/apps/{appId}/endpoints/{endpointId}
curl \
--request PUT 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/endpoints/{endpointId}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"route":"string","http_method":"GET","function_id":"string","validation_method":"NO_VALIDATION","secret_id":"string","return_type":"JSON","respond_result":true,"fetch_custom_user_data":true,"create_user_on_auth":true,"disabled":true,"_id":"string"}'
Solicitar ejemplos
{
"route": "string",
"http_method": "GET",
"function_id": "string",
"validation_method": "NO_VALIDATION",
"secret_id": "string",
"return_type": "JSON",
"respond_result": true,
"fetch_custom_user_data": true,
"create_user_on_auth": true,
"disabled": true,
"_id": "string"
}
Ejemplos de respuestas (200)
{
"route": "string",
"http_method": "GET",
"function_id": "string",
"validation_method": "NO_VALIDATION",
"secret_id": "string",
"return_type": "JSON",
"respond_result": true,
"fetch_custom_user_data": true,
"create_user_on_auth": true,
"disabled": true,
"_id": "string",
"function_name": "string"
}